Quick question for 3.0.12 to 3.2.x

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
Furball Zen
Registered User
Posts: 381
Joined: Thu Oct 18, 2007 9:38 pm

Quick question for 3.0.12 to 3.2.x

Post by Furball Zen » Wed Feb 28, 2018 7:05 pm

I have a fairly old db backup that ive been waiting to restore once the domain came available and it was today. Im trying to install the version the install was on at the time it last was running on the old host. Im running into the "HTTP input character conversion:" error because i dont have the older php version required for 3.0 installs (and dont want to install it for a couple reasons). I plan on upgrading to 3.2 as soon as i can restore, but im wondering if i can do a clean 3.2 install and restore the old backup with no issues? Or do i have to do the htaccess mod to get past the error and then do the upgrade?

Note: I do NOT have the db on my server, so it needs to be restored and i figured it had to be a 1:1 version install.

Thanks in advance.
I am the almighty Furball Zen. Hear me fluff.

Site Admin: too many to list ;)
Port 80 is for your server, port 3306 is for your db :)
If your forum displays correctly in IE, it needs to be fixed :)

User avatar
warmweer
Registered User
Posts: 2012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Quick question for 3.0.12 to 3.2.x

Post by warmweer » Wed Feb 28, 2018 7:21 pm

Furball Zen wrote:
Wed Feb 28, 2018 7:05 pm
I have a fairly old db backup that ive been waiting to restore once the domain came available and it was today. Im trying to install the version the install was on at the time it last was running on the old host. Im running into the "HTTP input character conversion:" error because i dont have the older php version required for 3.0 installs (and dont want to install it for a couple reasons). I plan on upgrading to 3.2 as soon as i can restore, but im wondering if i can do a clean 3.2 install and restore the old backup with no issues? Or do i have to do the htaccess mod to get past the error and then do the upgrade?

Note: I do NOT have the db on my server, so it needs to be restored and i figured it had to be a 1:1 version install.

Thanks in advance.
All you really need is the database installed, and then the phpBB3.2.1 files to run the database update only. (I'm specifically NOT stating 3.2.2 because on some systems it has (solveable) problems and it would be best to have a running 3.2.1 before.

There is however 1 caveat: the 3.0.x version should have the database cleaned of all modifications, language should be set to British English and style to prosilver (I think).
Read https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

You could always try to upgrade on a copy (on localhost) (or install it on local host to see whether there were database modifications and if necessary remove them).
A bug is a feature that hasn't made it to the manual (yet)

User avatar
Furball Zen
Registered User
Posts: 381
Joined: Thu Oct 18, 2007 9:38 pm

Re: Quick question for 3.0.12 to 3.2.x

Post by Furball Zen » Wed Feb 28, 2018 7:25 pm

warmweer wrote:
Wed Feb 28, 2018 7:21 pm
Furball Zen wrote:
Wed Feb 28, 2018 7:05 pm
I have a fairly old db backup that ive been waiting to restore once the domain came available and it was today. Im trying to install the version the install was on at the time it last was running on the old host. Im running into the "HTTP input character conversion:" error because i dont have the older php version required for 3.0 installs (and dont want to install it for a couple reasons). I plan on upgrading to 3.2 as soon as i can restore, but im wondering if i can do a clean 3.2 install and restore the old backup with no issues? Or do i have to do the htaccess mod to get past the error and then do the upgrade?

Note: I do NOT have the db on my server, so it needs to be restored and i figured it had to be a 1:1 version install.

Thanks in advance.
All you really need is the database installed, and then the phpBB3.2.1 files to run the database update only. (I'm specifically NOT stating 3.2.2 because on some systems it has (solveable) problems and it would be best to have a running 3.2.1 before.

There is however 1 caveat: the 3.0.x version should have the database cleaned of all modifications, language should be set to British English and style to prosilver (I think).
Read https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

You could always try to upgrade on a copy (on localhost).
Yea, i knew about the 3.2.2 issues and planned on 3.2.1 first (had the headache with one board already, ugh). I know about cleaning all the mods and this one has a lot, or at least a heavily modded Acid Tech (which wont be an issue switching back to Prosilver), but im fuzzy with what you mean on installing the db only? Im running this on a Windows box on my local LAN, so i dont need to access a remote server.
I am the almighty Furball Zen. Hear me fluff.

Site Admin: too many to list ;)
Port 80 is for your server, port 3306 is for your db :)
If your forum displays correctly in IE, it needs to be fixed :)

User avatar
warmweer
Registered User
Posts: 2012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Quick question for 3.0.12 to 3.2.x

Post by warmweer » Wed Feb 28, 2018 7:32 pm

Furball Zen wrote:
Wed Feb 28, 2018 7:25 pm
... but im fuzzy with what you mean on installing the db only? Im running this on a Windows box on my local LAN, so i dont need to access a remote server.
What it implies is that all you need is the database, not the 3.0.x files (except for the 3.0.x config.php IIRC). So there is no need to install the whole forumfiles backup to get a running 3.0.x forum before upgrading.
A bug is a feature that hasn't made it to the manual (yet)

User avatar
warmweer
Registered User
Posts: 2012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Quick question for 3.0.12 to 3.2.x

Post by warmweer » Wed Feb 28, 2018 7:35 pm

About the mods it had, forget about the file changes, only database modifications should be undone because you don't need the files (since you're going to use 3.2.1 files (do read the link I gave so that if you do have extra images etc.. from 3.0.x you don't need to lose them.
A bug is a feature that hasn't made it to the manual (yet)

User avatar
Furball Zen
Registered User
Posts: 381
Joined: Thu Oct 18, 2007 9:38 pm

Re: Quick question for 3.0.12 to 3.2.x

Post by Furball Zen » Wed Feb 28, 2018 7:59 pm

warmweer wrote:
Wed Feb 28, 2018 7:32 pm
Furball Zen wrote:
Wed Feb 28, 2018 7:25 pm
... but im fuzzy with what you mean on installing the db only? Im running this on a Windows box on my local LAN, so i dont need to access a remote server.
What it implies is that all you need is the database, not the 3.0.x files (except for the 3.0.x config.php IIRC). So there is no need to install the whole forumfiles backup to get a running 3.0.x forum before upgrading.
Yea, but i have NO phpbb install at this point, so my first question still remains.
I am the almighty Furball Zen. Hear me fluff.

Site Admin: too many to list ;)
Port 80 is for your server, port 3306 is for your db :)
If your forum displays correctly in IE, it needs to be fixed :)

User avatar
warmweer
Registered User
Posts: 2012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Quick question for 3.0.12 to 3.2.x

Post by warmweer » Wed Feb 28, 2018 8:40 pm

Furball Zen wrote:
Wed Feb 28, 2018 7:59 pm
...
Yea, but i have NO phpbb install at this point, so my first question still remains.
I don't see any problem.
You say you can't install phpbb3.0.x because of the http character conversion, but you can install 3.2.1 if I understand you correctly.

I'm not sure where you see a problem. Restoring a 3.0.x database doesn't need any phpbb files.
And since you can install 3.2.1, the database update should run.

What you cannot do is to install a running 3.2.1 and then import the 3.0.x database. The database update script is there to transform the 3.0.x database to the 3.2.1 structure and transform the data for inclusion.

If your concern is that you do not have an old PHP version to run 3.0.x, the I suggest you install USBWebserver (free) on which phpBB3.0.x will run - and it won't interfere with anything else (completely standalone).

If I'm missing something, please rephrase your question because it would then seem that I'm misreading your question.
A bug is a feature that hasn't made it to the manual (yet)

User avatar
Lumpy Burgertushie
Registered User
Posts: 66236
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Quick question for 3.0.12 to 3.2.x

Post by Lumpy Burgertushie » Wed Feb 28, 2018 8:56 pm

using your local machine , create a blank database . then import your 3.0 database to it.
put all new phpbb 3.2.1 files in a folder on your localhost.
edit the blank config.php file to point to the 3.0 database you just created.

in your browser go to: localhost/install

choose update
choose update again
choose update database only.
let it run.

if you had any old MOD data in the database you can either remove it before you begin or you can delete the modules from the admin panel after you have done the database upgrade via the install folder.


robert
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 50407
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Quick question for 3.0.12 to 3.2.x

Post by stevemaury » Wed Feb 28, 2018 9:02 pm

And you are not "installing" phpBB.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

User avatar
Furball Zen
Registered User
Posts: 381
Joined: Thu Oct 18, 2007 9:38 pm

Re: Quick question for 3.0.12 to 3.2.x

Post by Furball Zen » Wed Feb 28, 2018 10:04 pm

Lumpy Burgertushie wrote:
Wed Feb 28, 2018 8:56 pm
using your local machine , create a blank database . then import your 3.0 database to it.
put all new phpbb 3.2.1 files in a folder on your localhost.
edit the blank config.php file to point to the 3.0 database you just created.

in your browser go to: localhost/install

choose update
choose update again
choose update database only.
let it run.

if you had any old MOD data in the database you can either remove it before you begin or you can delete the modules from the admin panel after you have done the database upgrade via the install folder.


robert
I got phpmyadmin running and created the db, but the backup file is 1.8gb (not a typo) and im hitting the 2048KiB limit error :(
I am the almighty Furball Zen. Hear me fluff.

Site Admin: too many to list ;)
Port 80 is for your server, port 3306 is for your db :)
If your forum displays correctly in IE, it needs to be fixed :)

User avatar
warmweer
Registered User
Posts: 2012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Quick question for 3.0.12 to 3.2.x

Post by warmweer » Wed Feb 28, 2018 10:55 pm

Furball Zen wrote:
Wed Feb 28, 2018 10:04 pm
...
I got phpmyadmin running and created the db, but the backup file is 1.8gb (not a typo) and im hitting the 2048KiB limit error :(
2048 KiB?
That's only ±2 MB and should never be a limitation.
1.8GB is quite large though and if it's on localhost you'll probably have to use Bigdump (not with PHP 7) and may even need to split the backupfile into seperate SQLS
A bug is a feature that hasn't made it to the manual (yet)

User avatar
Lumpy Burgertushie
Registered User
Posts: 66236
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Quick question for 3.0.12 to 3.2.x

Post by Lumpy Burgertushie » Wed Feb 28, 2018 11:04 pm

on your local server you can simply change the max update in the server config files to accomodate the larger backup file.

or, rather than bigdump, try https://sourceforge.net/projects/mysqld ... SQLDumper/

it works when bigdump does not

robert
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 50407
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Quick question for 3.0.12 to 3.2.x

Post by stevemaury » Wed Feb 28, 2018 11:11 pm

Truncate the three search_* tables and rebuild them later.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

User avatar
Lumpy Burgertushie
Registered User
Posts: 66236
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Quick question for 3.0.12 to 3.2.x

Post by Lumpy Burgertushie » Wed Feb 28, 2018 11:40 pm

yep, that will probably reduce the backup file size by 2/3

robert
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

User avatar
Furball Zen
Registered User
Posts: 381
Joined: Thu Oct 18, 2007 9:38 pm

Re: Quick question for 3.0.12 to 3.2.x

Post by Furball Zen » Thu Mar 01, 2018 12:05 am

I got it uploaded, theres a feature to use the local upload folder in phpmyadmin and since its on the same machine....

So, now im on to the next step Lumpy outlined.
I am the almighty Furball Zen. Hear me fluff.

Site Admin: too many to list ;)
Port 80 is for your server, port 3306 is for your db :)
If your forum displays correctly in IE, it needs to be fixed :)

Post Reply

Return to “[3.2.x] Support Forum”